1. Packages
  2. Packages
  3. Azure Native
  4. API Docs
  5. datafactory
  6. CredentialOperation
This is the latest version of Azure Native. Use the Azure Native v2 docs if using the v2 version of this package.
Viewing docs for Azure Native v3.25.0
published on Wednesday, Aug 5, 2026 by Pulumi
azure-native logo
This is the latest version of Azure Native. Use the Azure Native v2 docs if using the v2 version of this package.
Viewing docs for Azure Native v3.25.0
published on Wednesday, Aug 5, 2026 by Pulumi

    Credential resource type.

    Uses Azure REST API version 2018-06-01. In version 2.x of the Azure Native provider, it used API version 2018-06-01.

    Example Usage

    Credentials_Create

    using System.Collections.Generic;
    using System.Linq;
    using Pulumi;
    using AzureNative = Pulumi.AzureNative;
    
    return await Deployment.RunAsync(() => 
    {
        var credentialOperation = new AzureNative.DataFactory.CredentialOperation("credentialOperation", new()
        {
            CredentialName = "exampleCredential",
            FactoryName = "exampleFactoryName",
            Properties = new AzureNative.DataFactory.Inputs.ManagedIdentityCredentialArgs
            {
                ResourceId = "/subscriptions/12345678-1234-1234-1234-123456789012/resourcegroups/exampleResourceGroup/providers/Microsoft.ManagedIdentity/userAssignedIdentities/exampleUami",
                Type = "ManagedIdentity",
            },
            ResourceGroupName = "exampleResourceGroup",
        });
    
    });
    
    package main
    
    import (
    	datafactory "github.com/pulumi/pulumi-azure-native-sdk/datafactory/v3"
    	"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
    )
    
    func main() {
    	pulumi.Run(func(ctx *pulumi.Context) error {
    		_, err := datafactory.NewCredentialOperation(ctx, "credentialOperation", &datafactory.CredentialOperationArgs{
    			CredentialName: pulumi.String("exampleCredential"),
    			FactoryName:    pulumi.String("exampleFactoryName"),
    			Properties: &datafactory.ManagedIdentityCredentialArgs{
    				ResourceId: pulumi.String("/subscriptions/12345678-1234-1234-1234-123456789012/resourcegroups/exampleResourceGroup/providers/Microsoft.ManagedIdentity/userAssignedIdentities/exampleUami"),
    				Type:       pulumi.String("ManagedIdentity"),
    			},
    			ResourceGroupName: pulumi.String("exampleResourceGroup"),
    		})
    		if err != nil {
    			return err
    		}
    		return nil
    	})
    }
    
    pulumi {
      required_providers {
        azure-native = {
          source = "pulumi/azure-native"
        }
      }
    }
    
    resource "azure-native_datafactory_credentialoperation" "credentialOperation" {
      credential_name = "exampleCredential"
      factory_name    = "exampleFactoryName"
      properties = {
        "resourceId" = "/subscriptions/12345678-1234-1234-1234-123456789012/resourcegroups/exampleResourceGroup/providers/Microsoft.ManagedIdentity/userAssignedIdentities/exampleUami"
        "type"       = "ManagedIdentity"
      }
      resource_group_name = "exampleResourceGroup"
    }
    
    package generated_program;
    
    import com.pulumi.Context;
    import com.pulumi.Pulumi;
    import com.pulumi.core.Output;
    import com.pulumi.azurenative.datafactory.CredentialOperation;
    import com.pulumi.azurenative.datafactory.CredentialOperationArgs;
    import java.util.ArrayList;
    import java.util.Arrays;
    import java.util.Map;
    import java.io.File;
    import java.nio.file.Files;
    import java.nio.file.Paths;
    
    public class App {
        public static void main(String[] args) {
            Pulumi.run(App::stack);
        }
    
        public static void stack(Context ctx) {
            var credentialOperation = new CredentialOperation("credentialOperation", CredentialOperationArgs.builder()
                .credentialName("exampleCredential")
                .factoryName("exampleFactoryName")
                .properties(ManagedIdentityCredentialArgs.builder()
                    .resourceId("/subscriptions/12345678-1234-1234-1234-123456789012/resourcegroups/exampleResourceGroup/providers/Microsoft.ManagedIdentity/userAssignedIdentities/exampleUami")
                    .type("ManagedIdentity")
                    .build())
                .resourceGroupName("exampleResourceGroup")
                .build());
    
        }
    }
    
    import * as pulumi from "@pulumi/pulumi";
    import * as azure_native from "@pulumi/azure-native";
    
    const credentialOperation = new azure_native.datafactory.CredentialOperation("credentialOperation", {
        credentialName: "exampleCredential",
        factoryName: "exampleFactoryName",
        properties: {
            resourceId: "/subscriptions/12345678-1234-1234-1234-123456789012/resourcegroups/exampleResourceGroup/providers/Microsoft.ManagedIdentity/userAssignedIdentities/exampleUami",
            type: "ManagedIdentity",
        },
        resourceGroupName: "exampleResourceGroup",
    });
    
    import pulumi
    import pulumi_azure_native as azure_native
    
    credential_operation = azure_native.datafactory.CredentialOperation("credentialOperation",
        credential_name="exampleCredential",
        factory_name="exampleFactoryName",
        properties={
            "resource_id": "/subscriptions/12345678-1234-1234-1234-123456789012/resourcegroups/exampleResourceGroup/providers/Microsoft.ManagedIdentity/userAssignedIdentities/exampleUami",
            "type": "ManagedIdentity",
        },
        resource_group_name="exampleResourceGroup")
    
    resources:
      credentialOperation:
        type: azure-native:datafactory:CredentialOperation
        properties:
          credentialName: exampleCredential
          factoryName: exampleFactoryName
          properties:
            resourceId: /subscriptions/12345678-1234-1234-1234-123456789012/resourcegroups/exampleResourceGroup/providers/Microsoft.ManagedIdentity/userAssignedIdentities/exampleUami
            type: ManagedIdentity
          resourceGroupName: exampleResourceGroup
    

    Create CredentialOperation Resource

    Resources are created with functions called constructors. To learn more about declaring and configuring resources, see Resources.

    Constructor syntax

    new CredentialOperation(name: string, args: CredentialOperationArgs, opts?: CustomResourceOptions);
    @overload
    def CredentialOperation(resource_name: str,
                            args: CredentialOperationArgs,
                            opts: Optional[ResourceOptions] = None)
    
    @overload
    def CredentialOperation(resource_name: str,
                            opts: Optional[ResourceOptions] = None,
                            factory_name: Optional[str] = None,
                            properties: Optional[Union[ManagedIdentityCredentialArgs, ServicePrincipalCredentialArgs]] = None,
                            resource_group_name: Optional[str] = None,
                            credential_name: Optional[str] = None)
    func NewCredentialOperation(ctx *Context, name string, args CredentialOperationArgs, opts ...ResourceOption) (*CredentialOperation, error)
    public CredentialOperation(string name, CredentialOperationArgs args, CustomResourceOptions? opts = null)
    public CredentialOperation(String name, CredentialOperationArgs args)
    public CredentialOperation(String name, CredentialOperationArgs args, CustomResourceOptions options)
    
    type: azure-native:datafactory:CredentialOperation
    properties: # The arguments to resource properties.
    options: # Bag of options to control resource's behavior.
    
    
    resource "azure-native_datafactory_credential_operation" "name" {
        # resource properties
    }

    Parameters

    name string
    The unique name of the resource.
    args CredentialOperationArgs
    The arguments to resource properties.
    opts CustomResourceOptions
    Bag of options to control resource's behavior.
    resource_name str
    The unique name of the resource.
    args CredentialOperationArgs
    The arguments to resource properties.
    opts ResourceOptions
    Bag of options to control resource's behavior.
    ctx Context
    Context object for the current deployment.
    name string
    The unique name of the resource.
    args CredentialOperationArgs
    The arguments to resource properties.
    opts ResourceOption
    Bag of options to control resource's behavior.
    name string
    The unique name of the resource.
    args CredentialOperationArgs
    The arguments to resource properties.
    opts CustomResourceOptions
    Bag of options to control resource's behavior.
    name String
    The unique name of the resource.
    args CredentialOperationArgs
    The arguments to resource properties.
    options CustomResourceOptions
    Bag of options to control resource's behavior.

    Constructor example

    The following reference example uses placeholder values for all input properties.

    var credentialOperationResource = new AzureNative.DataFactory.CredentialOperation("credentialOperationResource", new()
    {
        FactoryName = "string",
        Properties = new AzureNative.DataFactory.Inputs.ManagedIdentityCredentialArgs
        {
            Type = "ManagedIdentity",
            Annotations = new[]
            {
                "any",
            },
            Description = "string",
            ResourceId = "string",
        },
        ResourceGroupName = "string",
        CredentialName = "string",
    });
    
    example, err := datafactory.NewCredentialOperation(ctx, "credentialOperationResource", &datafactory.CredentialOperationArgs{
    	FactoryName: pulumi.String("string"),
    	Properties: &datafactory.ManagedIdentityCredentialArgs{
    		Type: pulumi.String("ManagedIdentity"),
    		Annotations: pulumi.Array{
    			pulumi.Any("any"),
    		},
    		Description: pulumi.String("string"),
    		ResourceId:  pulumi.String("string"),
    	},
    	ResourceGroupName: pulumi.String("string"),
    	CredentialName:    pulumi.String("string"),
    })
    
    resource "azure-native_datafactory_credential_operation" "credentialOperationResource" {
      lifecycle {
        create_before_destroy = true
      }
      factory_name = "string"
      properties = {
        type        = "ManagedIdentity"
        annotations = ["any"]
        description = "string"
        resource_id = "string"
      }
      resource_group_name = "string"
      credential_name     = "string"
    }
    
    var credentialOperationResource = new CredentialOperation("credentialOperationResource", CredentialOperationArgs.builder()
        .factoryName("string")
        .properties(ManagedIdentityCredentialArgs.builder()
            .type("ManagedIdentity")
            .annotations("any")
            .description("string")
            .resourceId("string")
            .build())
        .resourceGroupName("string")
        .credentialName("string")
        .build());
    
    credential_operation_resource = azure_native.datafactory.CredentialOperation("credentialOperationResource",
        factory_name="string",
        properties={
            "type": "ManagedIdentity",
            "annotations": ["any"],
            "description": "string",
            "resource_id": "string",
        },
        resource_group_name="string",
        credential_name="string")
    
    const credentialOperationResource = new azure_native.datafactory.CredentialOperation("credentialOperationResource", {
        factoryName: "string",
        properties: {
            type: "ManagedIdentity",
            annotations: ["any"],
            description: "string",
            resourceId: "string",
        },
        resourceGroupName: "string",
        credentialName: "string",
    });
    
    type: azure-native:datafactory:CredentialOperation
    properties:
        credentialName: string
        factoryName: string
        properties:
            annotations:
                - any
            description: string
            resourceId: string
            type: ManagedIdentity
        resourceGroupName: string
    

    CredentialOperation Resource Properties

    To learn more about resource properties and how to use them, see Inputs and Outputs in the Architecture and Concepts docs.

    Inputs

    In Python, inputs that are objects can be passed either as argument classes or as dictionary literals.

    The CredentialOperation resource accepts the following input properties:

    FactoryName string
    The factory name.
    Properties Pulumi.AzureNative.DataFactory.Inputs.ManagedIdentityCredential | Pulumi.AzureNative.DataFactory.Inputs.ServicePrincipalCredential
    Properties of credentials.
    ResourceGroupName string
    The name of the resource group. The name is case insensitive.
    CredentialName string
    Credential name
    FactoryName string
    The factory name.
    Properties ManagedIdentityCredentialArgs | ServicePrincipalCredentialArgs
    Properties of credentials.
    ResourceGroupName string
    The name of the resource group. The name is case insensitive.
    CredentialName string
    Credential name
    factory_name string
    The factory name.
    properties object | object
    Properties of credentials.
    resource_group_name string
    The name of the resource group. The name is case insensitive.
    credential_name string
    Credential name
    factoryName String
    The factory name.
    properties ManagedIdentityCredential | ServicePrincipalCredential
    Properties of credentials.
    resourceGroupName String
    The name of the resource group. The name is case insensitive.
    credentialName String
    Credential name
    factoryName string
    The factory name.
    properties ManagedIdentityCredential | ServicePrincipalCredential
    Properties of credentials.
    resourceGroupName string
    The name of the resource group. The name is case insensitive.
    credentialName string
    Credential name
    factory_name str
    The factory name.
    properties ManagedIdentityCredentialArgs | ServicePrincipalCredentialArgs
    Properties of credentials.
    resource_group_name str
    The name of the resource group. The name is case insensitive.
    credential_name str
    Credential name
    factoryName String
    The factory name.
    properties Property Map | Property Map
    Properties of credentials.
    resourceGroupName String
    The name of the resource group. The name is case insensitive.
    credentialName String
    Credential name

    Outputs

    All input properties are implicitly available as output properties. Additionally, the CredentialOperation resource produces the following output properties:

    AzureApiVersion string
    The Azure API version of the resource.
    Etag string
    "If etag is provided in the response body, it may also be provided as a header per the normal etag convention. Entity tags are used for comparing two or more entities from the same requested resource. HTTP/1.1 uses entity tags in the etag (section 14.19), If-Match (section 14.24), If-None-Match (section 14.26), and If-Range (section 14.27) header fields.")
    Id string
    The provider-assigned unique ID for this managed resource.
    Name string
    The name of the resource
    SystemData Pulumi.AzureNative.DataFactory.Outputs.SystemDataResponse
    Azure Resource Manager metadata containing createdBy and modifiedBy information.
    Type string
    The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"
    AzureApiVersion string
    The Azure API version of the resource.
    Etag string
    "If etag is provided in the response body, it may also be provided as a header per the normal etag convention. Entity tags are used for comparing two or more entities from the same requested resource. HTTP/1.1 uses entity tags in the etag (section 14.19), If-Match (section 14.24), If-None-Match (section 14.26), and If-Range (section 14.27) header fields.")
    Id string
    The provider-assigned unique ID for this managed resource.
    Name string
    The name of the resource
    SystemData SystemDataResponse
    Azure Resource Manager metadata containing createdBy and modifiedBy information.
    Type string
    The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"
    azure_api_version string
    The Azure API version of the resource.
    etag string
    "If etag is provided in the response body, it may also be provided as a header per the normal etag convention. Entity tags are used for comparing two or more entities from the same requested resource. HTTP/1.1 uses entity tags in the etag (section 14.19), If-Match (section 14.24), If-None-Match (section 14.26), and If-Range (section 14.27) header fields.")
    id string
    The provider-assigned unique ID for this managed resource.
    name string
    The name of the resource
    system_data object
    Azure Resource Manager metadata containing createdBy and modifiedBy information.
    type string
    The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"
    azureApiVersion String
    The Azure API version of the resource.
    etag String
    "If etag is provided in the response body, it may also be provided as a header per the normal etag convention. Entity tags are used for comparing two or more entities from the same requested resource. HTTP/1.1 uses entity tags in the etag (section 14.19), If-Match (section 14.24), If-None-Match (section 14.26), and If-Range (section 14.27) header fields.")
    id String
    The provider-assigned unique ID for this managed resource.
    name String
    The name of the resource
    systemData SystemDataResponse
    Azure Resource Manager metadata containing createdBy and modifiedBy information.
    type String
    The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"
    azureApiVersion string
    The Azure API version of the resource.
    etag string
    "If etag is provided in the response body, it may also be provided as a header per the normal etag convention. Entity tags are used for comparing two or more entities from the same requested resource. HTTP/1.1 uses entity tags in the etag (section 14.19), If-Match (section 14.24), If-None-Match (section 14.26), and If-Range (section 14.27) header fields.")
    id string
    The provider-assigned unique ID for this managed resource.
    name string
    The name of the resource
    systemData SystemDataResponse
    Azure Resource Manager metadata containing createdBy and modifiedBy information.
    type string
    The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"
    azure_api_version str
    The Azure API version of the resource.
    etag str
    "If etag is provided in the response body, it may also be provided as a header per the normal etag convention. Entity tags are used for comparing two or more entities from the same requested resource. HTTP/1.1 uses entity tags in the etag (section 14.19), If-Match (section 14.24), If-None-Match (section 14.26), and If-Range (section 14.27) header fields.")
    id str
    The provider-assigned unique ID for this managed resource.
    name str
    The name of the resource
    system_data SystemDataResponse
    Azure Resource Manager metadata containing createdBy and modifiedBy information.
    type str
    The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"
    azureApiVersion String
    The Azure API version of the resource.
    etag String
    "If etag is provided in the response body, it may also be provided as a header per the normal etag convention. Entity tags are used for comparing two or more entities from the same requested resource. HTTP/1.1 uses entity tags in the etag (section 14.19), If-Match (section 14.24), If-None-Match (section 14.26), and If-Range (section 14.27) header fields.")
    id String
    The provider-assigned unique ID for this managed resource.
    name String
    The name of the resource
    systemData Property Map
    Azure Resource Manager metadata containing createdBy and modifiedBy information.
    type String
    The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

    Supporting Types

    AzureKeyVaultSecretReference, AzureKeyVaultSecretReferenceArgs

    Azure Key Vault secret reference.
    SecretName object
    The name of the secret in Azure Key Vault. Type: string (or Expression with resultType string).
    Store Pulumi.AzureNative.DataFactory.Inputs.LinkedServiceReference
    The Azure Key Vault linked service reference.
    SecretVersion object
    The version of the secret in Azure Key Vault. The default value is the latest version of the secret. Type: string (or Expression with resultType string).
    SecretName interface{}
    The name of the secret in Azure Key Vault. Type: string (or Expression with resultType string).
    Store LinkedServiceReference
    The Azure Key Vault linked service reference.
    SecretVersion interface{}
    The version of the secret in Azure Key Vault. The default value is the latest version of the secret. Type: string (or Expression with resultType string).
    secret_name any
    The name of the secret in Azure Key Vault. Type: string (or Expression with resultType string).
    store object
    The Azure Key Vault linked service reference.
    secret_version any
    The version of the secret in Azure Key Vault. The default value is the latest version of the secret. Type: string (or Expression with resultType string).
    secretName Object
    The name of the secret in Azure Key Vault. Type: string (or Expression with resultType string).
    store LinkedServiceReference
    The Azure Key Vault linked service reference.
    secretVersion Object
    The version of the secret in Azure Key Vault. The default value is the latest version of the secret. Type: string (or Expression with resultType string).
    secretName any
    The name of the secret in Azure Key Vault. Type: string (or Expression with resultType string).
    store LinkedServiceReference
    The Azure Key Vault linked service reference.
    secretVersion any
    The version of the secret in Azure Key Vault. The default value is the latest version of the secret. Type: string (or Expression with resultType string).
    secret_name Any
    The name of the secret in Azure Key Vault. Type: string (or Expression with resultType string).
    store LinkedServiceReference
    The Azure Key Vault linked service reference.
    secret_version Any
    The version of the secret in Azure Key Vault. The default value is the latest version of the secret. Type: string (or Expression with resultType string).
    secretName Any
    The name of the secret in Azure Key Vault. Type: string (or Expression with resultType string).
    store Property Map
    The Azure Key Vault linked service reference.
    secretVersion Any
    The version of the secret in Azure Key Vault. The default value is the latest version of the secret. Type: string (or Expression with resultType string).

    AzureKeyVaultSecretReferenceResponse, AzureKeyVaultSecretReferenceResponseArgs

    Azure Key Vault secret reference.
    SecretName object
    The name of the secret in Azure Key Vault. Type: string (or Expression with resultType string).
    Store Pulumi.AzureNative.DataFactory.Inputs.LinkedServiceReferenceResponse
    The Azure Key Vault linked service reference.
    SecretVersion object
    The version of the secret in Azure Key Vault. The default value is the latest version of the secret. Type: string (or Expression with resultType string).
    SecretName interface{}
    The name of the secret in Azure Key Vault. Type: string (or Expression with resultType string).
    Store LinkedServiceReferenceResponse
    The Azure Key Vault linked service reference.
    SecretVersion interface{}
    The version of the secret in Azure Key Vault. The default value is the latest version of the secret. Type: string (or Expression with resultType string).
    secret_name any
    The name of the secret in Azure Key Vault. Type: string (or Expression with resultType string).
    store object
    The Azure Key Vault linked service reference.
    secret_version any
    The version of the secret in Azure Key Vault. The default value is the latest version of the secret. Type: string (or Expression with resultType string).
    secretName Object
    The name of the secret in Azure Key Vault. Type: string (or Expression with resultType string).
    store LinkedServiceReferenceResponse
    The Azure Key Vault linked service reference.
    secretVersion Object
    The version of the secret in Azure Key Vault. The default value is the latest version of the secret. Type: string (or Expression with resultType string).
    secretName any
    The name of the secret in Azure Key Vault. Type: string (or Expression with resultType string).
    store LinkedServiceReferenceResponse
    The Azure Key Vault linked service reference.
    secretVersion any
    The version of the secret in Azure Key Vault. The default value is the latest version of the secret. Type: string (or Expression with resultType string).
    secret_name Any
    The name of the secret in Azure Key Vault. Type: string (or Expression with resultType string).
    store LinkedServiceReferenceResponse
    The Azure Key Vault linked service reference.
    secret_version Any
    The version of the secret in Azure Key Vault. The default value is the latest version of the secret. Type: string (or Expression with resultType string).
    secretName Any
    The name of the secret in Azure Key Vault. Type: string (or Expression with resultType string).
    store Property Map
    The Azure Key Vault linked service reference.
    secretVersion Any
    The version of the secret in Azure Key Vault. The default value is the latest version of the secret. Type: string (or Expression with resultType string).

    LinkedServiceReference, LinkedServiceReferenceArgs

    Linked service reference type.
    ReferenceName string
    Reference LinkedService name.
    Type string | Pulumi.AzureNative.DataFactory.Type
    Linked service reference type.
    Parameters object
    Arguments for LinkedService.
    ReferenceName string
    Reference LinkedService name.
    Type string | Type
    Linked service reference type.
    Parameters interface{}
    Arguments for LinkedService.
    reference_name string
    Reference LinkedService name.
    type string | "LinkedServiceReference"
    Linked service reference type.
    parameters any
    Arguments for LinkedService.
    referenceName String
    Reference LinkedService name.
    type String | Type
    Linked service reference type.
    parameters Object
    Arguments for LinkedService.
    referenceName string
    Reference LinkedService name.
    type string | Type
    Linked service reference type.
    parameters any
    Arguments for LinkedService.
    reference_name str
    Reference LinkedService name.
    type str | Type
    Linked service reference type.
    parameters Any
    Arguments for LinkedService.
    referenceName String
    Reference LinkedService name.
    type String | "LinkedServiceReference"
    Linked service reference type.
    parameters Any
    Arguments for LinkedService.

    LinkedServiceReferenceResponse, LinkedServiceReferenceResponseArgs

    Linked service reference type.
    ReferenceName string
    Reference LinkedService name.
    Type string
    Linked service reference type.
    Parameters object
    Arguments for LinkedService.
    ReferenceName string
    Reference LinkedService name.
    Type string
    Linked service reference type.
    Parameters interface{}
    Arguments for LinkedService.
    reference_name string
    Reference LinkedService name.
    type string
    Linked service reference type.
    parameters any
    Arguments for LinkedService.
    referenceName String
    Reference LinkedService name.
    type String
    Linked service reference type.
    parameters Object
    Arguments for LinkedService.
    referenceName string
    Reference LinkedService name.
    type string
    Linked service reference type.
    parameters any
    Arguments for LinkedService.
    reference_name str
    Reference LinkedService name.
    type str
    Linked service reference type.
    parameters Any
    Arguments for LinkedService.
    referenceName String
    Reference LinkedService name.
    type String
    Linked service reference type.
    parameters Any
    Arguments for LinkedService.

    ManagedIdentityCredential, ManagedIdentityCredentialArgs

    Managed identity credential.
    Annotations List<object>
    List of tags that can be used for describing the Credential.
    Description string
    Credential description.
    ResourceId string
    The resource id of user assigned managed identity
    Annotations []interface{}
    List of tags that can be used for describing the Credential.
    Description string
    Credential description.
    ResourceId string
    The resource id of user assigned managed identity
    annotations list(any)
    List of tags that can be used for describing the Credential.
    description string
    Credential description.
    resource_id string
    The resource id of user assigned managed identity
    annotations List<Object>
    List of tags that can be used for describing the Credential.
    description String
    Credential description.
    resourceId String
    The resource id of user assigned managed identity
    annotations any[]
    List of tags that can be used for describing the Credential.
    description string
    Credential description.
    resourceId string
    The resource id of user assigned managed identity
    annotations Sequence[Any]
    List of tags that can be used for describing the Credential.
    description str
    Credential description.
    resource_id str
    The resource id of user assigned managed identity
    annotations List<Any>
    List of tags that can be used for describing the Credential.
    description String
    Credential description.
    resourceId String
    The resource id of user assigned managed identity

    ManagedIdentityCredentialResponse, ManagedIdentityCredentialResponseArgs

    Managed identity credential.
    Annotations List<object>
    List of tags that can be used for describing the Credential.
    Description string
    Credential description.
    ResourceId string
    The resource id of user assigned managed identity
    Annotations []interface{}
    List of tags that can be used for describing the Credential.
    Description string
    Credential description.
    ResourceId string
    The resource id of user assigned managed identity
    annotations list(any)
    List of tags that can be used for describing the Credential.
    description string
    Credential description.
    resource_id string
    The resource id of user assigned managed identity
    annotations List<Object>
    List of tags that can be used for describing the Credential.
    description String
    Credential description.
    resourceId String
    The resource id of user assigned managed identity
    annotations any[]
    List of tags that can be used for describing the Credential.
    description string
    Credential description.
    resourceId string
    The resource id of user assigned managed identity
    annotations Sequence[Any]
    List of tags that can be used for describing the Credential.
    description str
    Credential description.
    resource_id str
    The resource id of user assigned managed identity
    annotations List<Any>
    List of tags that can be used for describing the Credential.
    description String
    Credential description.
    resourceId String
    The resource id of user assigned managed identity

    ServicePrincipalCredential, ServicePrincipalCredentialArgs

    Service principal credential.
    Annotations List<object>
    List of tags that can be used for describing the Credential.
    Description string
    Credential description.
    ServicePrincipalId object
    The app ID of the service principal used to authenticate
    ServicePrincipalKey Pulumi.AzureNative.DataFactory.Inputs.AzureKeyVaultSecretReference
    The key of the service principal used to authenticate.
    Tenant object
    The ID of the tenant to which the service principal belongs
    Annotations []interface{}
    List of tags that can be used for describing the Credential.
    Description string
    Credential description.
    ServicePrincipalId interface{}
    The app ID of the service principal used to authenticate
    ServicePrincipalKey AzureKeyVaultSecretReference
    The key of the service principal used to authenticate.
    Tenant interface{}
    The ID of the tenant to which the service principal belongs
    annotations list(any)
    List of tags that can be used for describing the Credential.
    description string
    Credential description.
    service_principal_id any
    The app ID of the service principal used to authenticate
    service_principal_key object
    The key of the service principal used to authenticate.
    tenant any
    The ID of the tenant to which the service principal belongs
    annotations List<Object>
    List of tags that can be used for describing the Credential.
    description String
    Credential description.
    servicePrincipalId Object
    The app ID of the service principal used to authenticate
    servicePrincipalKey AzureKeyVaultSecretReference
    The key of the service principal used to authenticate.
    tenant Object
    The ID of the tenant to which the service principal belongs
    annotations any[]
    List of tags that can be used for describing the Credential.
    description string
    Credential description.
    servicePrincipalId any
    The app ID of the service principal used to authenticate
    servicePrincipalKey AzureKeyVaultSecretReference
    The key of the service principal used to authenticate.
    tenant any
    The ID of the tenant to which the service principal belongs
    annotations Sequence[Any]
    List of tags that can be used for describing the Credential.
    description str
    Credential description.
    service_principal_id Any
    The app ID of the service principal used to authenticate
    service_principal_key AzureKeyVaultSecretReference
    The key of the service principal used to authenticate.
    tenant Any
    The ID of the tenant to which the service principal belongs
    annotations List<Any>
    List of tags that can be used for describing the Credential.
    description String
    Credential description.
    servicePrincipalId Any
    The app ID of the service principal used to authenticate
    servicePrincipalKey Property Map
    The key of the service principal used to authenticate.
    tenant Any
    The ID of the tenant to which the service principal belongs

    ServicePrincipalCredentialResponse, ServicePrincipalCredentialResponseArgs

    Service principal credential.
    Annotations List<object>
    List of tags that can be used for describing the Credential.
    Description string
    Credential description.
    ServicePrincipalId object
    The app ID of the service principal used to authenticate
    ServicePrincipalKey Pulumi.AzureNative.DataFactory.Inputs.AzureKeyVaultSecretReferenceResponse
    The key of the service principal used to authenticate.
    Tenant object
    The ID of the tenant to which the service principal belongs
    Annotations []interface{}
    List of tags that can be used for describing the Credential.
    Description string
    Credential description.
    ServicePrincipalId interface{}
    The app ID of the service principal used to authenticate
    ServicePrincipalKey AzureKeyVaultSecretReferenceResponse
    The key of the service principal used to authenticate.
    Tenant interface{}
    The ID of the tenant to which the service principal belongs
    annotations list(any)
    List of tags that can be used for describing the Credential.
    description string
    Credential description.
    service_principal_id any
    The app ID of the service principal used to authenticate
    service_principal_key object
    The key of the service principal used to authenticate.
    tenant any
    The ID of the tenant to which the service principal belongs
    annotations List<Object>
    List of tags that can be used for describing the Credential.
    description String
    Credential description.
    servicePrincipalId Object
    The app ID of the service principal used to authenticate
    servicePrincipalKey AzureKeyVaultSecretReferenceResponse
    The key of the service principal used to authenticate.
    tenant Object
    The ID of the tenant to which the service principal belongs
    annotations any[]
    List of tags that can be used for describing the Credential.
    description string
    Credential description.
    servicePrincipalId any
    The app ID of the service principal used to authenticate
    servicePrincipalKey AzureKeyVaultSecretReferenceResponse
    The key of the service principal used to authenticate.
    tenant any
    The ID of the tenant to which the service principal belongs
    annotations Sequence[Any]
    List of tags that can be used for describing the Credential.
    description str
    Credential description.
    service_principal_id Any
    The app ID of the service principal used to authenticate
    service_principal_key AzureKeyVaultSecretReferenceResponse
    The key of the service principal used to authenticate.
    tenant Any
    The ID of the tenant to which the service principal belongs
    annotations List<Any>
    List of tags that can be used for describing the Credential.
    description String
    Credential description.
    servicePrincipalId Any
    The app ID of the service principal used to authenticate
    servicePrincipalKey Property Map
    The key of the service principal used to authenticate.
    tenant Any
    The ID of the tenant to which the service principal belongs

    SystemDataResponse, SystemDataResponseArgs

    Metadata pertaining to creation and last modification of the resource.
    CreatedAt string
    The timestamp of resource creation (UTC).
    CreatedBy string
    The identity that created the resource.
    CreatedByType string
    The type of identity that created the resource.
    LastModifiedAt string
    The timestamp of resource last modification (UTC)
    LastModifiedBy string
    The identity that last modified the resource.
    LastModifiedByType string
    The type of identity that last modified the resource.
    CreatedAt string
    The timestamp of resource creation (UTC).
    CreatedBy string
    The identity that created the resource.
    CreatedByType string
    The type of identity that created the resource.
    LastModifiedAt string
    The timestamp of resource last modification (UTC)
    LastModifiedBy string
    The identity that last modified the resource.
    LastModifiedByType string
    The type of identity that last modified the resource.
    created_at string
    The timestamp of resource creation (UTC).
    created_by string
    The identity that created the resource.
    created_by_type string
    The type of identity that created the resource.
    last_modified_at string
    The timestamp of resource last modification (UTC)
    last_modified_by string
    The identity that last modified the resource.
    last_modified_by_type string
    The type of identity that last modified the resource.
    createdAt String
    The timestamp of resource creation (UTC).
    createdBy String
    The identity that created the resource.
    createdByType String
    The type of identity that created the resource.
    lastModifiedAt String
    The timestamp of resource last modification (UTC)
    lastModifiedBy String
    The identity that last modified the resource.
    lastModifiedByType String
    The type of identity that last modified the resource.
    createdAt string
    The timestamp of resource creation (UTC).
    createdBy string
    The identity that created the resource.
    createdByType string
    The type of identity that created the resource.
    lastModifiedAt string
    The timestamp of resource last modification (UTC)
    lastModifiedBy string
    The identity that last modified the resource.
    lastModifiedByType string
    The type of identity that last modified the resource.
    created_at str
    The timestamp of resource creation (UTC).
    created_by str
    The identity that created the resource.
    created_by_type str
    The type of identity that created the resource.
    last_modified_at str
    The timestamp of resource last modification (UTC)
    last_modified_by str
    The identity that last modified the resource.
    last_modified_by_type str
    The type of identity that last modified the resource.
    createdAt String
    The timestamp of resource creation (UTC).
    createdBy String
    The identity that created the resource.
    createdByType String
    The type of identity that created the resource.
    lastModifiedAt String
    The timestamp of resource last modification (UTC)
    lastModifiedBy String
    The identity that last modified the resource.
    lastModifiedByType String
    The type of identity that last modified the resource.

    Type, TypeArgs

    LinkedServiceReference
    LinkedServiceReference LinkedServiceReference
    TypeLinkedServiceReference
    LinkedServiceReference LinkedServiceReference
    "LinkedServiceReference"
    LinkedServiceReference LinkedServiceReference
    LinkedServiceReference
    LinkedServiceReference LinkedServiceReference
    LinkedServiceReference
    LinkedServiceReference LinkedServiceReference
    LINKED_SERVICE_REFERENCE
    LinkedServiceReference LinkedServiceReference
    "LinkedServiceReference"
    LinkedServiceReference LinkedServiceReference

    Import

    An existing resource can be imported using its type token, name, and identifier, e.g.

    $ pulumi import azure-native:datafactory:CredentialOperation exampleCredential /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.DataFactory/factories/{factoryName}/credentials/{credentialName} 
    

    To learn more about importing existing cloud resources, see Importing resources.

    Package Details

    Repository
    Azure Native pulumi/pulumi-azure-native
    License
    Apache-2.0
    azure-native logo
    This is the latest version of Azure Native. Use the Azure Native v2 docs if using the v2 version of this package.
    Viewing docs for Azure Native v3.25.0
    published on Wednesday, Aug 5, 2026 by Pulumi

      Try Pulumi Cloud free.
      Your team will thank you.

      Start free trial